Bug 1461380 - EC pool create job fail but ec pool is created
EC pool create job fail but ec pool is created
Status: MODIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Ceph Integration (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 4
Assigned To: Shubhendu Tripathi
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 06:54 EDT by Martin Kudlej
Modified: 2017-06-23 07:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: tendrl-ceph-integration-3.0-alpha.6.el7scon.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2017-06-14 06:54:31 EDT
Description of problem:
I've tried to create EC pool and job has failed. But I see new EC pool in pool list and also in Ceph. It seems to me that it is similar issue like https://bugzilla.redhat.com/show_bug.cgi?id=1329190

Log related to failed job:
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/named_pool_not_exists/__init__.py:26 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Checking if pool with name pool2ec doesnt exist
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:186 - _run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Processing Job 74ab7f08-771d-4509-9141-62cda91a3854
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/flows/create_pool/__init__.py:18 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Starting creation flow for pool pool2ec
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:198 - _run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Running Flow ceph.flows.CreatePool
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/create/__init__.py:40 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Creating pool pool2ec
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:247 - _run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Job failed Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool: Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool
/usr/lib/python2.7/site-packages/tendrl/commons/flows/__init__.py:205 - run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Failed atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/create/__init__.py:60 - run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Failed to create pool pool2ec. Error: can not change the size of an erasure-coded pool
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:236 - _run - ERROR - Failure in Job 74ab7f08-771d-4509-9141-62cda91a3854 Flow faeab231-69e9-4c9d-b5ef-a67ed057f98b with error:Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool - AtomExecutionFailedError: [{u'function': u'run', u'line': 327, u'file': u'/usr/lib64/python2.7/site-packages/gevent/greenlet.py', u'statement': u'result = self._run(*self.args, **self.kwargs)'}, {u'function': u'_run', u'line': 202, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py', u'statement': u'the_flow.run()'}, {u'function': u'run', u'line': 21, u'file': u'/usr/lib/python2.7/site-packages/tendrl/ceph_integration/flows/create_pool/__init__.py', u'statement': u'super(CreatePool, self).run()'}, {u'function': u'run', u'line': 210, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/flows/__init__.py', u'statement': u"(atom_fqn, self._defs['help'])"}]
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/named_pool_not_exists/__init__.py:26 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Checking if pool with name pool2ec doesnt exist
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:186 - _run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Processing Job 74ab7f08-771d-4509-9141-62cda91a3854
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/flows/create_pool/__init__.py:18 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Starting creation flow for pool pool2ec
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:198 - _run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Running Flow ceph.flows.CreatePool
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/create/__init__.py:40 - run - INFO - 74ab7f08-771d-4509-9141-62cda91a3854:Creating pool pool2ec
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:247 - _run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Job failed Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool: Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool
/usr/lib/python2.7/site-packages/tendrl/commons/flows/__init__.py:205 - run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Failed atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool
/usr/lib/python2.7/site-packages/tendrl/ceph_integration/objects/pool/atoms/create/__init__.py:60 - run - ERROR - 74ab7f08-771d-4509-9141-62cda91a3854:Failed to create pool pool2ec. Error: can not change the size of an erasure-coded pool
/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py:236 - _run - ERROR - Failure in Job 74ab7f08-771d-4509-9141-62cda91a3854 Flow faeab231-69e9-4c9d-b5ef-a67ed057f98b with error:Atom Execution failed. Error: Error executing atom: ceph.objects.Pool.atoms.Create on flow: Create Ceph Pool - AtomExecutionFailedError: [{u'function': u'run', u'line': 327, u'file': u'/usr/lib64/python2.7/site-packages/gevent/greenlet.py', u'statement': u'result = self._run(*self.args, **self.kwargs)'}, {u'function': u'_run', u'line': 202, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/jobs/__init__.py', u'statement': u'the_flow.run()'}, {u'function': u'run', u'line': 21, u'file': u'/usr/lib/python2.7/site-packages/tendrl/ceph_integration/flows/create_pool/__init__.py', u'statement': u'super(CreatePool, self).run()'}, {u'function': u'run', u'line': 210, u'file': u'/usr/lib/python2.7/site-packages/tendrl/commons/flows/__init__.py', u'statement': u"(atom_fqn, self._defs['help'])"}]



Version-Release number of selected component (if applicable):
ceph-ansible-2.2.11-1.el7scon.noarch
ceph-base-11.2.0-0.el7.x86_64
ceph-common-11.2.0-0.el7.x86_64
ceph-installer-1.3.0-1.el7scon.noarch
ceph-mon-11.2.0-0.el7.x86_64
ceph-osd-11.2.0-0.el7.x86_64
ceph-selinux-11.2.0-0.el7.x86_64
etcd-3.1.7-1.el7.x86_64
libcephfs2-11.2.0-0.el7.x86_64
python-cephfs-11.2.0-0.el7.x86_64
python-etcd-0.4.5-1.noarch
rubygem-etcd-0.3.0-1.el7.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-ceph-integration-3.0-alpha.5.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-node-monitoring-3.0-alpha.5.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch


How reproducible:
100%

Steps to Reproduce:
1. try to create EC 2+1 pool from UI
2. check pool list, job status and newly created pool by "ceph osd pool ls detail"

Actual results:
EC pool creation job fails in Tendrl but EC pool is created.

Expected results:
EC pool creation job will pass in Tendrl and EC pool is properly created.
Comment 4 Shubhendu Tripathi 2017-06-14 10:44:35 EDT
Martin, this is a regression as during recent changes some conditions are missing while pool creation. Will be sending the patch to fix this.
Comment 5 Shubhendu Tripathi 2017-06-19 12:15:22 EDT
That was a regresion and is fixed as part of tendrl-ceph-integration-3.0-alpha.6.el7scon.noarch.rpm

Note You need to log in before you can comment on or make changes to this bug.